Last Comment Bug 732808 - Make Move Bookmarks dialog resizable
: Make Move Bookmarks dialog resizable
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.10
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 08:01 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2012-03-12 10:43 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
wontfix
fixed


Attachments
patch [Checkin: Comments 2 and 4] (929 bytes, patch)
2012-03-04 08:01 PST, Jens Hatlak (:InvisibleSmiley)
neil: review+
bugspam.Callek: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2012-03-04 08:01:34 PST
Created attachment 602730 [details] [diff] [review]
patch [Checkin: Comments 2 and 4]

I just noticed that the Move Bookmarks dialog (actually it's called "Choose Folder"; see BM -> Edit -> Move) is not resizable on Windows. I guess my Linux (Kubuntu) ignores the missing resizable flag.

The attached patch just enables resizing. The dialog already remembers the state and the included folder tree adjusts in both dimensions automatically already.
Comment 1 neil@parkwaycc.co.uk 2012-03-04 08:24:04 PST
Comment on attachment 602730 [details] [diff] [review]
patch [Checkin: Comments 2 and 4]

Might it be worth a centerscreen, too, to match the new bookmark dialog?

Not important, but I notice that the dialog itself has an hbox too many ;-)
Comment 2 Jens Hatlak (:InvisibleSmiley) 2012-03-04 09:22:09 PST
Comment on attachment 602730 [details] [diff] [review]
patch [Checkin: Comments 2 and 4]

http://hg.mozilla.org/comm-central/rev/4a91b37fbbfa

(In reply to neil@parkwaycc.co.uk from comment #1)
> Might it be worth a centerscreen, too, to match the new bookmark dialog?

I'm not so sure about that. While the latter is usually opened from a browser window, which may very well be maximized, the Move dialog is solely opened from the Bookmarks Manager, which I guess is usually at a certain position of the screen, possibly even on a different screen (thinking of multi-monitor setups). If the dialog opens relative to the BM (at least initially), I think that's OK. If the dialog is subsequently moved (heh), that will be remembered, so no harm done.

> Not important, but I notice that the dialog itself has an hbox too many ;-)

Well... Feel free to fix that in its own bug. ;-)
Comment 3 Jens Hatlak (:InvisibleSmiley) 2012-03-11 23:56:43 PDT
Comment on attachment 602730 [details] [diff] [review]
patch [Checkin: Comments 2 and 4]

[Approval Request Comment]
Regression caused by (bug #): Bug 498596
User impact if declined: Dialog not resizable on Windows
Testing completed (on m-c, etc.): Baked on trunk
Risk to taking this patch (and alternatives if risky): None
String changes made by this patch: None
Comment 4 Jens Hatlak (:InvisibleSmiley) 2012-03-12 10:43:18 PDT
Comment on attachment 602730 [details] [diff] [review]
patch [Checkin: Comments 2 and 4]

http://hg.mozilla.org/releases/comm-aurora/rev/c821822ca24e

Note You need to log in before you can comment on or make changes to this bug.